Bullet Collision Detection & Physics Library: btDeformableRigidContactConstraint Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btDeformableRigidContactConstraint Class Referenceabstract

`#include <btDeformableContactConstraint.h>`

Inheritance diagram for btDeformableRigidContactConstraint:
[legend]
Collaboration diagram for btDeformableRigidContactConstraint:
[legend]

## Public Member Functions
| btDeformableRigidContactConstraint (const btSoftBody::DeformableRigidContact &c, const btContactSolverInfo &infoGlobal)
| btDeformableRigidContactConstraint (const btDeformableRigidContactConstraint &other)
| btDeformableRigidContactConstraint ()
virtual | ~btDeformableRigidContactConstraint ()
virtual btVector3 | getVa () const
virtual btVector3 | getSplitVb () const =0
virtual btVector3 | getSplitVa () const
virtual btScalar | solveConstraint (const btContactSolverInfo &infoGlobal)
virtual void | setPenetrationScale (btScalar scale)
btScalar | solveSplitImpulse (const btContactSolverInfo &infoGlobal)
virtual void | applySplitImpulse (const btVector3 &impulse)=0
Public Member Functions inherited from btDeformableContactConstraint
| btDeformableContactConstraint (const btVector3 &normal, const btContactSolverInfo &infoGlobal)
| btDeformableContactConstraint (bool isStatic, const btVector3 &normal, const btContactSolverInfo &infoGlobal)
| btDeformableContactConstraint ()
| btDeformableContactConstraint (const btDeformableContactConstraint &other)
virtual | ~btDeformableContactConstraint ()
virtual btVector3 | getVb () const =0
virtual btVector3 | getDv (const btSoftBody::Node *) const =0
virtual void | applyImpulse (const btVector3 &impulse)=0

## Public Attributes
btVector3 | m_total_normal_dv
btVector3 | m_total_tangent_dv
btScalar | m_penetration
btScalar | m_total_split_impulse
bool | m_binding
const btSoftBody::DeformableRigidContact * | m_contact
Public Attributes inherited from btDeformableContactConstraint
bool | m_static
const btContactSolverInfo * | m_infoGlobal
btVector3 | m_normal

## Detailed Description

Definition at line 141 of file btDeformableContactConstraint.h.

## Constructor & Destructor Documentation

## ◆ btDeformableRigidContactConstraint() [1/3]

btDeformableRigidContactConstraint::btDeformableRigidContactConstraint | ( | const btSoftBody::DeformableRigidContact & | c,
|  | const btContactSolverInfo & | infoGlobal )

Definition at line 135 of file btDeformableContactConstraint.cpp.

## ◆ btDeformableRigidContactConstraint() [2/3]

btDeformableRigidContactConstraint::btDeformableRigidContactConstraint | ( | const btDeformableRigidContactConstraint & | other | ) |

Definition at line 146 of file btDeformableContactConstraint.cpp.

## ◆ btDeformableRigidContactConstraint() [3/3]

btDeformableRigidContactConstraint::btDeformableRigidContactConstraint | ( |  | ) |
| inline

Definition at line 153 of file btDeformableContactConstraint.h.

## ◆ ~btDeformableRigidContactConstraint()

virtual btDeformableRigidContactConstraint::~btDeformableRigidContactConstraint | ( |  | ) |
| inlinevirtual

Definition at line 154 of file btDeformableContactConstraint.h.

## Member Function Documentation

## ◆ applySplitImpulse()

virtual void btDeformableRigidContactConstraint::applySplitImpulse | ( | const btVector3 & | impulse | ) |
| pure virtual

Implemented in btDeformableFaceRigidContactConstraint, btDeformableNodeRigidContactConstraint, and btReducedDeformableRigidContactConstraint.

## ◆ getSplitVa()

btVector3 btDeformableRigidContactConstraint::getSplitVa | ( |  | ) | const
| virtual

Definition at line 205 of file btDeformableContactConstraint.cpp.

## ◆ getSplitVb()

virtual btVector3 btDeformableRigidContactConstraint::getSplitVb | ( |  | ) | const
| pure virtual

Implemented in btDeformableFaceRigidContactConstraint, btDeformableNodeRigidContactConstraint, btReducedDeformableFaceRigidContactConstraint, and btReducedDeformableNodeRigidContactConstraint.

## ◆ getVa()

btVector3 btDeformableRigidContactConstraint::getVa | ( |  | ) | const
| virtual

Implements btDeformableContactConstraint.

Reimplemented in btReducedDeformableRigidContactConstraint.

Definition at line 153 of file btDeformableContactConstraint.cpp.

## ◆ setPenetrationScale()

virtual void btDeformableRigidContactConstraint::setPenetrationScale | ( | btScalar | scale | ) |
| inlinevirtual

Implements btDeformableContactConstraint.

Definition at line 169 of file btDeformableContactConstraint.h.

## ◆ solveConstraint()

btScalar btDeformableRigidContactConstraint::solveConstraint | ( | const btContactSolverInfo & | infoGlobal | ) |
| virtual

Implements btDeformableContactConstraint.

Reimplemented in btReducedDeformableRigidContactConstraint.

Definition at line 256 of file btDeformableContactConstraint.cpp.

## ◆ solveSplitImpulse()

btScalar btDeformableRigidContactConstraint::solveSplitImpulse | ( | const btContactSolverInfo & | infoGlobal | ) |

Definition at line 356 of file btDeformableContactConstraint.cpp.

## Member Data Documentation

## ◆ m_binding

bool btDeformableRigidContactConstraint::m_binding

Definition at line 148 of file btDeformableContactConstraint.h.

## ◆ m_contact

const btSoftBody::DeformableRigidContact* btDeformableRigidContactConstraint::m_contact

Definition at line 149 of file btDeformableContactConstraint.h.

## ◆ m_penetration

btScalar btDeformableRigidContactConstraint::m_penetration

Definition at line 146 of file btDeformableContactConstraint.h.

## ◆ m_total_normal_dv

btVector3 btDeformableRigidContactConstraint::m_total_normal_dv

Definition at line 144 of file btDeformableContactConstraint.h.

## ◆ m_total_split_impulse

btScalar btDeformableRigidContactConstraint::m_total_split_impulse

Definition at line 147 of file btDeformableContactConstraint.h.

## ◆ m_total_tangent_dv

btVector3 btDeformableRigidContactConstraint::m_total_tangent_dv

Definition at line 145 of file btDeformableContactConstraint.h.

The documentation for this class was generated from the following files:

- btDeformableContactConstraint.h
- btDeformableContactConstraint.cpp